Assignment Operations - Get
Get a blueprint assignment operation.
GET https://management.azure.com/{resourceScope}/providers/Microsoft.Blueprint/blueprintAssignments/{assignmentName}/assignmentOperations/{assignmentOperationName}?api-version=2018-11-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
assignment
|
path | True |
string |
Name of the blueprint assignment. |
|
assignment
|
path | True |
string |
Name of the blueprint assignment operation. |
|
resource
|
path | True |
string |
The scope of the resource. Valid scopes are: management group (format: '/providers/Microsoft.Management/managementGroups/{managementGroup}'), subscription (format: '/subscriptions/{subscriptionId}'). |
|
api-version
|
query | True |
string |
Client API Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK -- blueprint assignment operation retrieved. |
|
| Other Status Codes |
Blueprints error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
| Assignment at management group scope |
| Assignment at subscription scope |
Assignment at management group scope
Sample request
GET https://management.azure.com/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint/assignmentOperations/fb5d4dcb-7ce2-4087-ba7a-459aa74e5e0f?api-version=2018-11-01-preview
Sample response
{
"id": "/managementGroups/ContosoOnlineGroup/providers/microsoft.blueprint/blueprintAssignments/assignSimpleBlueprint/assignmentOperations/fb5d4dcb-7ce2-4087-ba7a-459aa74e5e0f",
"type": "microsoft.blueprint/blueprintAssignments/operations",
"name": "fb5d4dcb-7ce2-4087-ba7a-459aa74e5e0f",
"properties": {
"blueprintVersion": "v20181101",
"assignmentState": "succeed",
"timeCreated": "2018-11-13T15:19:45-08:00",
"timeStarted": "2018-11-13T15:21:49-08:00",
"timeFinished": "2018-11-13T15:26:02-08:00",
"deployments": [
{
"kind": "azureResource",
"action": "put",
"jobState": "succeeded",
"requestUri": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.deployments/deployments/48432786-2f1b-4925-8032-a5d57bcb5b6e",
"result": {
"resources": [
{
"id": "blabla",
"name": "foobar",
"type": "foo/bar"
}
]
},
"history": [
{
"error": {
"code": "dummy",
"message": "dummy"
}
}
]
}
]
}
}
Assignment at subscription scope
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprintAssignments/assignSimpleBlueprint/assignmentOperations/fb5d4dcb-7ce2-4087-ba7a-459aa74e5e0f?api-version=2018-11-01-preview
Sample response
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.blueprint/blueprintAssignments/assignSimpleBlueprint/assignmentOperations/fb5d4dcb-7ce2-4087-ba7a-459aa74e5e0f",
"type": "microsoft.blueprint/blueprintAssignments/operations",
"name": "fb5d4dcb-7ce2-4087-ba7a-459aa74e5e0f",
"properties": {
"blueprintVersion": "v20181101",
"assignmentState": "succeed",
"timeCreated": "2018-11-13T15:19:45-08:00",
"timeStarted": "2018-11-13T15:21:49-08:00",
"timeFinished": "2018-11-13T15:26:02-08:00",
"deployments": [
{
"kind": "azureResource",
"action": "put",
"jobState": "succeeded",
"requestUri": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/microsoft.deployments/deployments/48432786-2f1b-4925-8032-a5d57bcb5b6e",
"result": {
"resources": [
{
"id": "blabla",
"name": "foobar",
"type": "foo/bar"
}
]
},
"history": [
{
"error": {
"code": "dummy",
"message": "dummy"
}
}
]
}
]
}
}
Definitions
| Name | Description |
|---|---|
|
Assignment |
Represents individual job in given blueprint assignment operation. |
|
Assignment |
Result of each individual deployment in a blueprint assignment. |
|
Assignment |
Azure resource created from deployment job. |
|
Assignment |
Represents underlying deployment detail for each update to the blueprint assignment. |
|
Azure |
Error code and message |
|
Cloud |
|
|
Error |
The resource management error additional info. |
|
Error |
Error Response |
AssignmentDeploymentJob
Represents individual job in given blueprint assignment operation.
| Name | Type | Description |
|---|---|---|
| action |
string |
Name of the action performed in this job. |
| history |
Result of this deployment job for each retry. |
|
| jobId |
string |
Id of this job. |
| jobState |
string |
State of this job. |
| kind |
string |
Kind of job. |
| requestUri |
string |
Reference to deployment job resource id. |
| result |
Deployment job result. |
AssignmentDeploymentJobResult
Result of each individual deployment in a blueprint assignment.
| Name | Type | Description |
|---|---|---|
| error |
Contains error details if deployment job failed. |
|
| resources |
Resources created as result of the deployment job. |
AssignmentJobCreatedResource
Azure resource created from deployment job.
| Name | Type | Description |
|---|---|---|
| id |
string |
String Id used to locate any resource on Azure. |
| name |
string |
Name of this resource. |
| properties |
object |
Additional properties in a dictionary. |
| type |
string |
Type of this resource. |
AssignmentOperation
Represents underlying deployment detail for each update to the blueprint assignment.
| Name | Type | Description |
|---|---|---|
| id |
string |
String Id used to locate any resource on Azure. |
| name |
string |
Name of this resource. |
| properties.assignmentState |
string |
State of this blueprint assignment operation. |
| properties.blueprintVersion |
string |
The published version of the blueprint definition used for the blueprint assignment operation. |
| properties.deployments |
List of jobs in this blueprint assignment operation. |
|
| properties.timeCreated |
string |
Create time of this blueprint assignment operation. |
| properties.timeFinished |
string |
Finish time of the overall underlying deployments. |
| properties.timeStarted |
string |
Start time of the underlying deployment. |
| type |
string |
Type of this resource. |
AzureResourceManagerError
Error code and message
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message. |
CloudError
| Name | Type | Description |
|---|---|---|
| error |
Error Response |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorResponse
Error Response
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |